curl --request POST \
--url https://api.sandbox.lead.bank/v0/originators \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"account_id": "account_xyz123",
"entity_id": "entity_xyz123",
"company_name": "Company, Inc.",
"ach": {
"allowed_sec_codes": [
"WEB"
],
"limits": {
"calendar_day_maximum_amount": {
"credit": 495000000000,
"debit": 495000000000
},
"rolling_30_calendar_day_maximum_amount": {
"credit": 495000000000,
"debit": 495000000000
}
},
"nested_third_parties": [
"entity_xyz123"
]
},
"metadata": {}
}
'import requests
url = "https://api.sandbox.lead.bank/v0/originators"
payload = {
"account_id": "account_xyz123",
"entity_id": "entity_xyz123",
"company_name": "Company, Inc.",
"ach": {
"allowed_sec_codes": ["WEB"],
"limits": {
"calendar_day_maximum_amount": {
"credit": 495000000000,
"debit": 495000000000
},
"rolling_30_calendar_day_maximum_amount": {
"credit": 495000000000,
"debit": 495000000000
}
},
"nested_third_parties": ["entity_xyz123"]
},
"metadata": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
account_id: 'account_xyz123',
entity_id: 'entity_xyz123',
company_name: 'Company, Inc.',
ach: {
allowed_sec_codes: ['WEB'],
limits: {
calendar_day_maximum_amount: {credit: 495000000000, debit: 495000000000},
rolling_30_calendar_day_maximum_amount: {credit: 495000000000, debit: 495000000000}
},
nested_third_parties: ['entity_xyz123']
},
metadata: {}
})
};
fetch('https://api.sandbox.lead.bank/v0/originators', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "originator_xyz123",
"account_id": "account_xyz123",
"entity_id": "entity_xyz123",
"status": "active",
"company_name": "Acme Inc.",
"company_id": 1234567890,
"ach": {
"allowed_sec_codes": [
"WEB"
],
"limits": {
"calendar_day_maximum_amount": {
"credit": 495000000000,
"debit": 495000000000
},
"rolling_30_calendar_day_maximum_amount": {
"credit": 495000000000,
"debit": 495000000000
}
},
"nested_third_parties": [
"entity_xyz123"
]
},
"metadata": {},
"created_at": "2022-06-27T11:22:33Z",
"updated_at": "2022-06-27T11:22:33Z"
}{
"code": "parameters_invalid",
"title": "Your request parameters did not validate.",
"status": "400"
}{
"code": "operation_not_allowed",
"title": "Operation cannot be done on this object.",
"status": "403"
}{
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"status": "<string>",
"invalid_parameters": [
{
"parameter": "transaction_type",
"reason": "<string>"
}
],
"instance": "<string>"
}{
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"status": "<string>",
"invalid_parameters": [
{
"parameter": "transaction_type",
"reason": "<string>"
}
],
"instance": "<string>"
}{
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"status": "<string>",
"invalid_parameters": [
{
"parameter": "transaction_type",
"reason": "<string>"
}
],
"instance": "<string>"
}Create an Originator
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Idempotency key
255Body
The account ID to create the originator for.
^account_\w+$"account_xyz123"
The ID of your entity.
^entity_[^\s]{1,33}$"entity_xyz123"
"Company, Inc."
ACH controls for originators.
Show child attributes
Show child attributes
A set of key-value pairs that can be used to store additional information related to this object.
Show child attributes
Show child attributes
Response
Successful response
The ID of the Originator.
^originator_\w+$"originator_xyz123"
The ID of the Account object.
^account_\w+$"account_xyz123"
The ID of your entity.
^entity_[^\s]{1,33}$"entity_xyz123"
Originator Status
pending, active, inactive, rejected, canceled, suspended "active"
16"Acme Inc."
ACH Company Id
^\d{10}$1234567890
ACH controls for originators.
Show child attributes
Show child attributes
A set of key-value pairs that can be used to store additional information related to this object.
Show child attributes
Show child attributes
"2022-06-27T11:22:33Z"
"2022-06-27T11:22:33Z"
Was this page helpful?

